EbiDatabaseURLGenerator (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.blast2html.EbiDatabaseURLGenerator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.blast2html
Class EbiDatabaseURLGenerator

    java.lang.Object
      org.biojava.bio.program.blast2html.EbiDatabaseURLGenerator

All Implemented Interfaces:
  DatabaseURLGenerator

    public class EbiDatabaseURLGenerator

extends Object
implements DatabaseURLGenerator

Simple URL generator for EMBL at the EBI. For more upto date information about how to generate URL's see dbfetch Primary author - Colin Hardman (CAT) Other authors - Tim Dilks (CAT) Simon Brocklehurst (CAT) Stuart Johnston (CAT) Lawerence Bower (CAT) Derek Crockford (CAT) Neil Benn (CAT) Copyright 2001 Cambridge Antibody Technology Group plc. All Rights Reserved. This code released to the biojava project, May 2001 under the LGPL license.

Version:
  1.0
Author:
  Cambridge Antibody Technology Group plc

Constructor Summary
`EbiDatabaseURLGenerator()`

Method Summary
`String` | `toLink(String poID, Properties poProperties)` Returns a full retrieve item anchor for the given database id.
`String` | `toURL(String poID, Properties poProperties)` Returns a string representation of a URL to the specified ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EbiDatabaseURLGenerator

    public EbiDatabaseURLGenerator()

Method Detail

### toURL

    public String toURL(String poID,
                        Properties poProperties)

  Description copied from interface: `DatabaseURLGenerator`
  Returns a string representation of a URL to the specified ID. Used in summary section.

  Specified by:
    `toURL` in interface `DatabaseURLGenerator`
  Parameters:
    `poID` - a database ID
    `poProperties` - `Properties` - any options needed
  Returns:
    a `String` value

### toLink

    public String toLink(String poID,
                         Properties poProperties)

  Description copied from interface: `DatabaseURLGenerator`
  Returns a full retrieve item anchor for the given database id. Used in detail section.

  Specified by:
    `toLink` in interface `DatabaseURLGenerator`
  Parameters:
    `poID` - a `String` value
    `poProperties` - a `Properties` value
  Returns:
    a `String` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD